List Card Products
curl --request GET \
--url https://api-sandbox.synctera.com/v0/cards/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/cards/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/cards/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_products": [
{
"active": true,
"card_program_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"creation_time": "2010-05-06T12:23:34.321Z",
"digital_wallet_tokenization": {
"card_art_id": "<string>",
"provisioning_controls": {
"in_app_provisioning": {
"address_verification": {
"validate": false
},
"enabled": true
},
"manual_entry": {
"address_verification": {
"validate": false
},
"enabled": true
},
"wallet_provider_card_on_file": {
"address_verification": {
"validate": false
},
"enabled": true
}
}
},
"end_date": "2050-06-07T21:32:43.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_modified_time": "2010-05-06T12:23:34.321Z",
"name": "<string>",
"start_date": "2010-05-06T12:23:34.321Z",
"bin_country": "US",
"bypass_risk_errors": true,
"card_fulfillment_country": "US",
"color": "<string>",
"cross_border_enabled": false,
"image": true,
"issue_without_kyc": true,
"l2l3_enabled": false,
"package_id": "<string>",
"return_address": {
"address": {
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"postal_code": "49633",
"state": "NY",
"address_line_2": "Suite 99"
},
"care_of_line": "<string>",
"is_expedited_fulfillment": false,
"method": "LOCAL_MAIL",
"phone_number": "+14374570680",
"recipient_name": {
"first_name": "Jane",
"last_name": "Smith",
"middle_name": "Anne"
}
},
"txn_enhancer": "NONE"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Cards
List Card Products
GET
/
cards
/
products
List Card Products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The format of the card PHYSICAL or VIRTUAL.
Available options:
PHYSICAL, VIRTUAL Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Was this page helpful?
⌘I

